(function ($) {

    "use stict";

    // COLORS                         
    wp.customize('menu_background_color', function (value) {
        value.bind(function (to) {
            var inlineStyle, customColorCssElemnt;
            inlineStyle = '<style class="custom-color-css1">';

            inlineStyle += '.site-wrapper .menu-left-part { background-color: ' + to + '; }';
            inlineStyle += '.site-wrapper .search-field { border-color: ' + to + '; }';

            inlineStyle += '</style>';

            customColorCssElemnt = $('.custom-color-css1');

            if (customColorCssElemnt.length) {
                customColorCssElemnt.replaceWith(inlineStyle);
            } else {
                $('head').append(inlineStyle);
            }

        });
    });

    wp.customize('menu_color', function (value) {
        value.bind(function (to) {
            var inlineStyle, customColorCssElemnt;
            inlineStyle = '<style class="custom-color-css2">';

            inlineStyle += '.site-wrapper .sm-clean a, .site-wrapper .sm-clean a:hover, .site-wrapper .sm-clean a:focus, .site-wrapper .sm-clean a:active, .site-wrapper h4.widgettitle, .site-wrapper .search-field, .site-wrapper #sidebar .footer-social a { color: ' + to + '; }';
            inlineStyle += '.site-wrapper .search-field:focus { border-color: ' + to + '; }';
            inlineStyle += '.site-wrapper .search-field::-webkit-input-placeholder { color: ' + to + '; }';
            inlineStyle += '.site-wrapper .search-field::-moz-placeholder { color: ' + to + '; }';
            inlineStyle += '.site-wrapper .search-field:-ms-input-placeholder { color: ' + to + '; }';
            inlineStyle += '.site-wrapper .search-field:-moz-placeholder { color: ' + to + '; }';

            inlineStyle += '</style>';

            customColorCssElemnt = $('.custom-color-css2');

            if (customColorCssElemnt.length) {
                customColorCssElemnt.replaceWith(inlineStyle);
            } else {
                $('head').append(inlineStyle);
            }

        });
    });

    wp.customize('menu_active_color', function (value) {
        value.bind(function (to) {
            var inlineStyle, customColorCssElemnt;
            inlineStyle = '<style class="custom-color-css3">';

            inlineStyle += '.site-wrapper .sm-clean a:after, .site-wrapper a.read-more:after { background-color: ' + to + '; }';
            inlineStyle += '.site-wrapper .menu-left-part::-webkit-scrollbar-thumb { background-color: ' + to + '; }';
            inlineStyle += '.site-wrapper .sm-clean a span.sub-arrow, .site-wrapper .category-filter-list .button.is-checked, .site-wrapper .category-filter-list .button:hover { color: ' + to + '; }';

            inlineStyle += '</style>';

            customColorCssElemnt = $('.custom-color-css3');

            if (customColorCssElemnt.length) {
                customColorCssElemnt.replaceWith(inlineStyle);
            } else {
                $('head').append(inlineStyle);
            }

        });
    });

    wp.customize('sidebar_text_color', function (value) {
        value.bind(function (to) {
            var inlineStyle, customColorCssElemnt;
            inlineStyle = '<style class="custom-color-css4">';

            inlineStyle += '.site-wrapper #sidebar, .site-wrapper #sidebar a, .site-wrapper .main-menu.sm-clean .sub-menu li a { color: ' + to + '; }';

            inlineStyle += '</style>';

            customColorCssElemnt = $('.custom-color-css4');

            if (customColorCssElemnt.length) {
                customColorCssElemnt.replaceWith(inlineStyle);
            } else {
                $('head').append(inlineStyle);
            }

        });
    });

    wp.customize('global_select_color', function (value) {
        value.bind(function (to) {
            var inlineStyle, customColorCssElemnt;
            inlineStyle = '<style class="custom-color-css5">';

            inlineStyle += 'body .site-wrapper ::selection { background-color: ' + to + '; }';
            inlineStyle += 'body .site-wrapper ::-moz-selection { background-color: ' + to + '; }';

            inlineStyle += '</style>';

            customColorCssElemnt = $('.custom-color-css5');

            if (customColorCssElemnt.length) {
                customColorCssElemnt.replaceWith(inlineStyle);
            } else {
                $('head').append(inlineStyle);
            }

        });
    });

})(jQuery);