<?php
get_header();
$count_posts = wp_count_posts();
$published_posts = $count_posts->publish;
?>

<div id="post-<?php the_ID(); ?>" class="content-right" >  
    <div class="content-right-holder">
        <?php
        if (have_posts()) :
            while (have_posts()) : the_post();
                $allowed_html_array = ocularus_allowed_html();
                $header_content = get_post_meta($post->ID, "portfolio_header_content", true);
                $item_info = get_post_meta($post->ID, "portfolio_item_info", true);
                ?>		

                <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

                    <?php if ($header_content != ''): ?>
                        <div class="top-content">
                            <?php echo do_shortcode(wp_kses($header_content, $allowed_html_array)); ?>
                        </div>
                    <?php endif; ?>

                    <div class="post-info">
                        <?php if (get_theme_mod('ocularus_show_nav_portfolio') === 'yes'): ?>
                            <div class="single-nav">
                                <?php
                                $prev_post = get_previous_post();
                                if (is_a($prev_post, 'WP_Post')):
                                    ?>
                                    <div class="nav-previous">                        
                                        <?php previous_post_link('%link', '<img src="' . esc_url(get_template_directory_uri()) . '/images/arrow_left@2x.png" alt="' . esc_attr__('Previous', 'ocularus-wp') . '" />'); ?>                                                                                        
                                    </div>
                                <?php endif; ?>
                                <?php
                                $next_post = get_next_post();
                                if (is_a($next_post, 'WP_Post')):
                                    ?>                
                                    <div class="nav-next">                        
                                        <?php next_post_link('%link', '<img src="' . esc_url(get_template_directory_uri()) . '/images/arrow_right@2x.png" alt="' . esc_attr__('Next', 'ocularus-wp') . '" />'); ?>                                            
                                    </div>
                                <?php endif; ?>
                                <div class="clear"></div>
                            </div>
                        <?php endif; ?>

                        <?php
                        if ($item_info != '') {
                            echo '<div class="item-info-content">';
                            echo do_shortcode(wp_kses($item_info, $allowed_html_array));
                            echo '</div>';
                        }
                        ?>
                    </div>

                    <div class="entry-holder">                        
                        <h1 class="entry-title"><?php the_title(); ?></h1>
                        <div class="entry-content">
                            <?php
                            the_content();
                            ?>
                        </div>
                    </div>                   
                    <div class="clear"></div>

                    <?php if (get_theme_mod('ocularus_show_nav_portfolio') === 'yes'): ?>
                        <div class="single-nav mob">
                            <?php
                            $prev_post = get_previous_post();
                            if (is_a($prev_post, 'WP_Post')):
                                ?>
                                <div class="nav-previous">                        
                                    <?php previous_post_link('%link', '<img src="' . esc_url(get_template_directory_uri()) . '/images/arrow_left@2x.png" alt="' . esc_attr__('Previous', 'ocularus-wp') . '" />'); ?>                                                                                        
                                </div>
                            <?php endif; ?>
                            <?php
                            $next_post = get_next_post();
                            if (is_a($next_post, 'WP_Post')):
                                ?>                
                                <div class="nav-next">                        
                                    <?php next_post_link('%link', '<img src="' . esc_url(get_template_directory_uri()) . '/images/arrow_right@2x.png" alt="' . esc_attr__('Next', 'ocularus-wp') . '" />'); ?>                                            
                                </div>
                            <?php endif; ?>
                            <div class="clear"></div>
                        </div>
                    <?php endif; ?>

                </article>
                <?php
                comments_template();
            endwhile;
        endif;
        ?>    
    </div>                      
</div>
<div class="clear"></div>
</div> 
<!-- End Page Content Holder -->

<?php get_footer(); ?>